/**
* Theme Name: Le Fumé Bressan
* Description: Theme enfant du thème WP Made Simple de Publigo
* Author: Hervé - Publigo
* Author URI: https://www.publigo.fr
* Template: wpms-theme 
* Version: 1.0
* Text Domain: le-fume-bressan
*/

/*****************************************************
* Ajout de ces lignes au début du fichier style.css du thème enfant (:root et body à ajuster en fonction de la taille du texte en pixels sur une page intérieure de la maquette)
*******************************************************/

:root {
    --base-size: 1.6rem;
    --height-btn-menu-mobil: 0rem;

    --pu-trs: all .2s;
    --pu-defaut-color: #c77;
}

html,
body {
    overflow-x: hidden;
}

html {
    /*font-size: 62.5%;*/
    max-width: 1920px;
    min-height: 100dvh;
    /*    box-shadow: 0 0 4px rgba(0,0,0,0.42);*/
    background: #f1e3d1;
    margin: auto;
    overflow-x: hidden;
}

body {
    position: relative;

    @media screen and (min-width: 48em) {
        padding-bottom: 0;
    }
}

img {
    max-width: 100%;
    height: auto;
}

a {
    transition: var(--dlc-trs);
}



body #mm-0 form.wpcf7-form input[type="submit"] {
    background: rgba(var(--brz-global-color5), 1) !important;
    color: #fff !important;
    padding: 1.2rem 3.4rem;
    font-family: 'Inter', sans-serif;
    font-weight: 600 !important;
    font-size: 15px;
    letter-spacing: 1px !important;
    text-transform: uppercase !important;
    border-radius: 100px;
}

body #mm-0 form.wpcf7-form input[type="submit"]:hover,
body #mm-0 form.wpcf7-form input[type="submit"]:focus {
    background: rgba(var(--brz-global-color1), 1) !important;
}

input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea {
    border: 1px solid rgba(var(--brz-global-color1), 1) !important;
    color: rgba(var(--brz-global-color1), 1) !important;
}

.fancybox-thumbs__list a:before {
    border-color: rgba(var(--brz-global-color1), 1);
}

.cky-consent-container .cky-consent-bar {
    transform: scale(.84);
    transform-origin: left bottom;
}


#woo-cat {
    ul {
        list-style: none;
        margin-left: 0;

        a {
            display: flex;
            padding: .5rem 1.5rem;
            margin-bottom: 1rem;
            font-family: 'Inter', sans-serif;
            font-size: 14px;
            color: rgba(var(--brz-global-color1), 1);
            border: 1px solid rgba(var(--brz-global-color1), 1);
            border-radius: 100px;
            transition: all .3s;

            &.actif,
            &:hover,
            &:focus {
                color: #fff;
                background-color: rgba(var(--brz-global-color1), 1);
            }
        }
    }
}

.woocommerce-product-gallery__wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.woocommerce-product-gallery__wrapper a {
    display: block;
}

.woocommerce-product-gallery__wrapper img {
    display: block;
    max-height: 420px;
    width: auto;
    margin: auto;
}

body.woocommerce-cart a.checkout-button.button {
    background-color: rgba(var(--brz-global-color3), 0.8) !important;
    transition: all .2s;
    border-radius: 100px;

    &:hover {
        background-color: rgba(var(--brz-global-color7), 1) !important;
        background-image: none;
    }
}

div#shopNav>div {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

@media(max-width: 767px) {


    div#div_nav {
        position: absolute;
        top: 0;
        right: 0;
    }
}

/*
body.archive {
    .brz-posts__item .brz-image {
        overflow: visible;
    }
}

body.archive .price > span,
body.single-product p.price > span {
    margin-left: 4px !important;
}

body.archive p.price {
    font-size: 16px !important;
    flex-direction: column !important;
    & > span {
        font-size: 20px !important;
    }
}
body.single-product {
    .product p.price {
        font-size: 24px !important;
        align-items: baseline !important;
        & > span {
            font-size: 42px !important;
        }
    }
    
    .brz-posts__item span.brz-wp-title-content {
        color: rgba(var(--brz-global-color3),1) !important;
    }

    .brz-posts__item .brz-woo-price {
        p.price {
            color: rgba(var(--brz-global-color1),1);
            font-size: 16px !important;
            flex-direction: column !important;
            letter-spacing: .1px;
            & > span {
                font-size: 20px !important;
            }
        }
    }
}

body.single-product .woocommerce-variation-add-to-cart.variations_button {
    flex-wrap: wrap !important;

    table td {
        padding: 7px 10px 10px!important;
    }
}

body.woocommerce-checkout { 
    .pickup-location-field .ui-datepicker-trigger {
        width: 24px;
        height: 38px;
    }

    .select2-container--default .select2-selection--single .select2-selection__arrow {
        width: 34px; height: 38px;
    }

    .ui-datepicker.pickup-location-appointment-datepicker {
        width: 90%;
        box-shadow: 0 0 2px rgba(0,0,0,.34);
        border: 1px solid #734f3b !important;
    }

    .ui-datepicker.pickup-location-appointment-datepicker .ui-datepicker-header {
        font-size: 1.2em;
        font-weight: 600;
        background: #734f3b !important;
        color: #fff;

        .ui-datepicker-prev:before {
            border-color: transparent #fff transparent transparent;
        }
        .ui-datepicker-next:after {
            border-color: transparent transparent transparent #fff;
        }
    }

    .ui-datepicker.pickup-location-appointment-datepicker table.ui-datepicker-calendar td a, 
    .ui-datepicker.pickup-location-appointment-datepicker table.ui-datepicker-calendar td span {
        line-height: 2;
    }

    .select2-container--default .select2-results__option--highlighted[aria-selected],
    .ui-datepicker.pickup-location-appointment-datepicker table.ui-datepicker-calendar td a:hover,
    .ui-datepicker.pickup-location-appointment-datepicker table.ui-datepicker-calendar td a:focus {
        background-color: rgba(var(--brz-global-color1),1);
        color: #fff;
    }

    .ui-datepicker.pickup-location-appointment-datepicker table.ui-datepicker-calendar td a.ui-state-default.ui-state-active {
        background-color: rgba(var(--brz-global-color2),1);
        color: #fff;
    }
}


*/

ul#shipping_method label {
    color: #ab2b24;
}